// EmailService.js
var sendgrid = require("sendgrid");

exports.sendRunEmails = function(runData) {
	var emailText =  "You've been invited to " + runData.creatorName + "'s lunch run: '"
	            + runData.name + "'! \n\n Put in your order here:\nhttp://www.lunchrun.me/#/run/"
	            + runData.id + "/order/";
	var options = {
        fromname: runData.creatorName + " via LunchRun.me",
	    from: sails.config.email.fromAddress,
	    subject: "You've been invited to a lunch run!",
        replyto: runData.creatorEmail
	};
    var sg = sendgrid(sails.config.email.apiUser, sails.config.email.apiKey);

	for (var idx in runData.invitees) {
	    var invitee = runData.invitees[idx];
	    var specificOptions = options;
	    specificOptions.to = invitee.email;
        specificOptions.toname = invitee.name;
	    specificOptions.text = emailText + invitee.name;

	    console.log(specificOptions);

        sg.send(specificOptions, function(err, response) {
	        if (err) {
	            console.log(err);
	        } else {
	            console.log("message sent from: " + runData.creatorEmail);
	        }
	    });
	}
};
